Subject: Fwd: Eldoc drastically increases CPU usage after update

From: Noah Friedman <[email-masked]>
Date: Sat, 16 Mar 2024 17:08:05 -0700 (PDT)

Please mark original sender as the reporter. Thanks.

From: Alexander Prähauser <[email-masked]>
To: Noah Friedman <[email-masked]>
Date: Feb 13, 2024 08:57:32
Subject: Eldoc drastically increases CPU usage after update

Hello!

After I recently (within a week) updated my system and Emacs, I noticed that Emacs was a
lot slower and needed more power than previously. I deactivated all
minor modes and re-activated them one after the other, and found that
editing speed decreased drastically when I re-activated Eldoc mode.
Emacs version returns

GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, cairo version 1.18.0) of 2024-02-08

My system is Arch with the newest updates. Please let me know if I can do anything to help with debugging.